> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloudglue.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Responses

> List all responses with pagination and filtering options.



## OpenAPI

````yaml GET /responses
openapi: 3.0.0
info:
  title: Cloudglue API
  description: API for Cloudglue
  license:
    name: Apache License 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: 0.7.13
servers:
  - url: https://api.cloudglue.dev/v1
security:
  - bearerAuth: []
paths:
  /responses:
    get:
      tags:
        - Response
      summary: List responses
      description: List all responses with pagination and filtering options.
      operationId: listResponses
      parameters:
        - name: limit
          in: query
          description: Maximum number of responses to return
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
        - name: offset
          in: query
          description: Number of responses to skip
          required: false
          schema:
            type: integer
            minimum: 0
        - name: status
          in: query
          description: Filter by response status
          required: false
          schema:
            type: string
            enum:
              - in_progress
              - completed
              - failed
              - cancelled
        - name: created_before
          in: query
          description: >-
            Filter responses created before a specific date (YYYY-MM-DD format),
            in UTC timezone
          required: false
          schema:
            type: string
            format: date
        - name: created_after
          in: query
          description: >-
            Filter responses created after a specific date (YYYY-MM-DD format),
            in UTC timezone
          required: false
          schema:
            type: string
            format: date
      responses:
        '200':
          description: List of responses
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseList'
        '500':
          description: An unexpected error occurred on the server
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ResponseList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
          description: Object type identifier
        data:
          type: array
          items:
            $ref: '#/components/schemas/ResponseListItem'
          description: List of responses
        total:
          type: integer
          description: Total number of responses matching the query
        limit:
          type: integer
          description: Maximum number of responses returned
        offset:
          type: integer
          description: Number of responses skipped
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    ResponseListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the response
        object:
          type: string
          enum:
            - response
          description: Object type identifier
        status:
          type: string
          enum:
            - in_progress
            - completed
            - failed
            - cancelled
          description: Current status of the response
        created_at:
          type: integer
          description: Unix timestamp of when the response was created
        model:
          type: string
          description: The model used for the response
        instructions:
          type: string
          nullable: true
          description: The system instructions used
        usage:
          $ref: '#/components/schemas/ResponseUsage'
          nullable: true
    ResponseUsage:
      type: object
      description: Token usage statistics for the response
      properties:
        input_tokens:
          type: integer
          description: Number of input tokens used
        output_tokens:
          type: integer
          description: Number of output tokens generated
        total_tokens:
          type: integer
          description: Total tokens used
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````